AnsweredAssumed Answered

BreakLineSmallZigZagCut

Question asked by Yong Ning on Nov 26, 2016
Latest reply on Nov 27, 2016 by Peter Brinkhuis

Sub main()

Set swApp = Application.SldWorks

Set Part = swApp.ActiveDoc

Set SelMgr = Part.SelectionManager

swApp.ActiveDoc.ActiveView.FrameState = 1

boolstatus = Part.Extension.SelectByID2("Break Line6", "BREAKLINE", 0.1286567303037, 0.2191061526578, 0, False, 0, Nothing, 0)

boolstatus = Part.Extension.SelectByID2("Break Line6", "BREAKLINE", 0.1293775418842, 0.2191061526578, 0, False, 0, Nothing, 0)

Part.BreakLineSmallZigZagCut

End Sub

 

result is error

 

 

0.jpg

Outcomes